<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:clipChildren="false"
    android:clipToPadding="false">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/special_download_trapezoid_default_height"
        android:background="@drawable/bg_tips_trapezoid_small"
        android:clipChildren="false"
        android:clipToPadding="false"
        android:padding="0dp"
        android:paddingStart="12dp"
        android:paddingEnd="12dp">

        <ImageView
            android:id="@+id/tipsTextIv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="-4dp"
            android:src="@drawable/ic_special_download_tips_text"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tipsTextTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:includeFontPadding="false"
            android:lineHeight="10sp"
            android:text="@string/special_download_tips"
            android:textColor="@color/text_aw_tertiary"
            android:textSize="10sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tipsTextIv" />

        <TextView
            android:id="@+id/hintTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="6dp"
            android:includeFontPadding="false"
            android:text="@string/special_download_tips_hint"
            android:textColor="@color/text_aw_primary"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <ImageView
            android:id="@+id/hintIv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:src="@drawable/ic_special_download_arrow"
            app:layout_constraintBottom_toBottomOf="@id/hintTv"
            app:layout_constraintStart_toEndOf="@id/hintTv"
            app:layout_constraintTop_toTopOf="@id/hintTv" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</FrameLayout>